%global plugin_name blueocean

Summary:    Blue Ocean is the next generation user experience for Jenkins
Name:       jenkins-plugin-%{plugin_name}
Version:    1.1.2
Release:    1%{?dist}
License:    MIT
URL:        https://plugins.jenkins.io/blueocean
# AltURL:   https://github.com/jenkinsci/blueocean-plugin
Source0:    https://updates.jenkins-ci.org/download/plugins/%{plugin_name}/%{version}/%{plugin_name}.hpi
Requires:   jenkins >= 2.7.1
Requires:   jenkins-plugin-blueocean-github-pipeline
Requires:   jenkins-plugin-blueocean-jwt
Requires:   jenkins-plugin-blueocean-dashboard
Requires:   jenkins-plugin-blueocean-pipeline-api-impl
Requires:   jenkins-plugin-blueocean-web
Requires:   jenkins-plugin-blueocean-commons
Requires:   jenkins-plugin-blueocean-events
Requires:   jenkins-plugin-blueocean-display-url
Requires:   jenkins-plugin-blueocean-i18n
Requires:   jenkins-plugin-blueocean-rest
Requires:   jenkins-plugin-blueocean-personalization
Requires:   jenkins-plugin-blueocean-autofavorite
Requires:   jenkins-plugin-blueocean-config
Requires:   jenkins-plugin-blueocean-git-pipeline
Requires:   jenkins-plugin-blueocean-pipeline-editor
Requires:   jenkins-plugin-blueocean-rest-impl

%description
Blue Ocean is the next generation user experience for Jenkins.

It is a multi-module maven project made up of a few Jenkins plugins. 
There is an aggregator plugin in the "blueocean" module.

%prep


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/jenkins/
cp %{SOURCE0} $RPM_BUILD_ROOT/%{_libdir}/jenkins/


%files
%{_libdir}/jenkins/%{plugin_name}.hpi

%changelog
* Tue Jun 27 2017 root - 1.1.2-1
- Update to 1.1.2

* Mon Apr 24 2017 Troy Dawson <tdawson@redhat.com> - 1.0.1-1
- Update to 1.0.1

* Fri Nov 11 2016 Troy Dawson <tdawson@redhat.com> - 1.0.0-1
- Initial package
